LiveBeansViewServlet (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.web.context.support

## Class LiveBeansViewServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.springframework.web.context.support.LiveBeansViewServlet

- All Implemented Interfaces:
    Serializable, Servlet, ServletConfig

      public class LiveBeansViewServlet
      extends HttpServlet

  Servlet variant of `LiveBeansView`'s MBean exposure.

  Generates a JSON snapshot for current beans and their dependencies in all ApplicationContexts that live within the current web application.

  Since:
    3.2
  Author:
    Juergen Hoeller
  See Also:
    `LiveBeansView.getSnapshotAsJson()`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LiveBeansViewServlet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected LiveBeansView` | `buildLiveBeansView()`
    `protected void` | `doGet(HttpServletRequest request, HttpServletResponse response)`
    `void` | `init()`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LiveBeansViewServlet

          public LiveBeansViewServlet()

  - ### Method Detail

    - #### init

          public void init()
                    throws ServletException

      Overrides:
        `init` in class `GenericServlet`
      Throws:
        `ServletException`

    - #### buildLiveBeansView

          protected LiveBeansView buildLiveBeansView()

    - #### doGet

          protected void doGet(HttpServletRequest request,
                   HttpServletResponse response)
                        throws ServletException,
                               IOException

      Overrides:
        `doGet` in class `HttpServlet`
      Throws:
        `ServletException`
        `IOException`